#enable Created by pyp2rpm-3.3.7
%global pypi_name cachecontrol

Name:           python-%{pypi_name}
Version:        0.14.0
Release:        %mkrel 1
Summary:        httplib2 caching for requests
Group:          Development/Python
License:        None
URL:            https://github.com/ionrock/cachecontrol
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
CacheControl is a port of the caching algorithms in httplib2 for use with
requests session object.

It was written because httplib2’s better support for caching is often mitigated
by its lack of thread safety. The same is true of requests in terms of caching.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
CacheControl is a port of the caching algorithms in httplib2 for use with
requests session object.

It was written because httplib2’s better support for caching is often mitigated
by its lack of thread safety. The same is true of requests in terms of caching.

%pyproject_extras_subpkg -n python3-%{pypi_name} filecache redis

%prep
%autosetup -n cachecontrol-%{version} -p1

# We don't have these
sed -i -e '/types-redis/d' -e '/types-requests/d' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x dev

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
# skip a test requiring internet access
%{__python3} -m pytest -v tests -k "not test_file_cache_recognizes_consumed_file_handle"

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%{_bindir}/doesitcache


%changelog
* Sun Apr 14 2024 papoteur <papoteur> 0.14.0-1.mga10
+ Revision: 2057618
- new version 0.14.0

* Sun Dec 10 2023 wally <wally> 0.13.1-1.mga10
+ Revision: 2016956
- new version 0.13.1
- use pyproject rpm macros
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.12.10-4.mga9
+ Revision: 1823650
- Mageia 9 Mass Rebuild

* Wed Mar 23 2022 guillomovitch <guillomovitch> 0.12.10-3.mga9
+ Revision: 1821241
- fix subpackage names

* Tue Mar 22 2022 guillomovitch <guillomovitch> 0.12.10-2.mga9
+ Revision: 1818351
- run tests
- ship additional subpackages

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.12.10-1.mga9
+ Revision: 1783855
- version 0.12.10
- rebuild for python-3.10

* Fri Aug 27 2021 wally <wally> 0.12.6-1.mga9
+ Revision: 1742826
- imported package python-cachecontrol

